module hex (
    input      [3:0] value, 
    output reg [6:0] disp
);

    always@(*)
    begin
        case(value)
            4'h0: disp <= 7'h40 ;
            4'h1: disp <= 7'h79 ;
            4'h2: disp <= 7'h24 ;
            4'h3: disp <= 7'h30 ;
            4'h4: disp <= 7'h19 ;
            4'h5: disp <= 7'h12 ;
            4'h6: disp <= 7'h02 ;
            4'h7: disp <= 7'h78 ;
            4'h8: disp <= 7'h00 ;
            4'h9: disp <= 7'h10 ;
            4'ha: disp <= 7'h08 ;
            4'hb: disp <= 7'h03 ;
            4'hc: disp <= 7'h46 ;
            4'hd: disp <= 7'h21 ;
            4'he: disp <= 7'h06 ;
            4'hf: disp <= 7'h0e ;
        endcase
    end
    
endmodule
